Loading...
Searching...
No Matches
etl::iunordered_multimap< TKey, T, THash, TKeyEqual >::const_iterator Class Reference

## Public Types

typedef etl::iterator< ETL_OR_STD::forward_iterator_tag, constT >::value_type | value_type
typedef iunordered_multimap::key_type | key_type
typedef iunordered_multimap::mapped_type | mapped_type
typedef iunordered_multimap::hasher | hasher
typedef iunordered_multimap::key_equal | key_equal
typedef iunordered_multimap::reference | reference
typedef iunordered_multimap::const_reference | const_reference
typedef iunordered_multimap::pointer | pointer
typedef iunordered_multimap::const_pointer | const_pointer
typedef iunordered_multimap::size_type | size_type
Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, const T >
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Public Member Functions

| const_iterator (const typename iunordered_multimap::iterator &other)
| const_iterator (const const_iterator &other)
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator= (const const_iterator &other)
const_reference | operator* () const
const_pointer | operator& () const
const_pointer | operator-> () const

## Friends

class | iunordered_multimap
class | iterator
bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)

The documentation for this class was generated from the following file:

- include/etl/unordered_multimap.h